## octave-ltfat 2.0.1

=== DESCRIPTION ===
Name: LTFAT
Version: 2.0.1
Date: 2014-10-9
Author: Peter L. Soendergaard <soender@users.sourceforge.net>
Maintainer: Zdenek Prusa
Title: The Large Time-Frequency Analysis Toolbox
Description: The Large Time/Frequency Analysis Toolbox (LTFAT) is a
 Matlab/Octave toolbox for working with time-frequency analysis,
 wavelets and signal processing. It is intended both as an educational
 and a computational tool. The toolbox provides a large number of
 linear transforms including Gabor and wavelet transforms along with
 routines for constructing windows (filter prototypes) and routines
 for manipulating coefficients.
License: GPLv3+
Depends: octave (>= 3.8.0)
BuildRequires: fftw3 [Debian] libfftw3-3, lapack [Debian] liblapack3,
               blas [Debian] libblas3, portaudio [Debian] portaudio19-dev
               Java Runtime [Debian] default-jre 
Url: http://ltfat.sourceforge.net/

=== inst/blockproc/java/Makefile ===
# Use Make to process this file. 

JC=javac

FLAGS=-source 1.6 -target 1.6
include ../../src/ostools.mk

default:
	$(JC) $(FLAGS) net/sourceforge/ltfat/*.java net/sourceforge/ltfat/thirdparty/*.java
	jar cf blockproc.jar net/sourceforge/ltfat/*.class net/sourceforge/ltfat/thirdparty/*.class

clean: classclean
	$(RM)  *.jar

classclean:
	$(RM) net$(PS)sourceforge$(PS)ltfat$(PS)*.class
	$(RM) net$(PS)sourceforge$(PS)ltfat$(PS)thirdparty$(PS)*.class

=== debian/changelog ===
octave-ltfat (2.0.1-1) unstable; urgency=low

  * Imported Upstream version 2.0.1
  * d/p/autoload-yes.patch: Refresh patch
  * d/p/add-subdirs-to-loadpath.patch: Drop patch (fixed upstream)
  * d/check.m: Use the upstream unit testing script
  * d/rules: Fix permission of all *.m files

 -- Rafael Laboissiere <rafael@laboissiere.net>  Thu, 09 Oct 2014 13:58:00 -0300

octave-ltfat (1.4.4-3) unstable; urgency=medium

  * Add security hardening build flags

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sat, 27 Sep 2014 04:30:46 -0300

octave-ltfat (1.4.4-2) unstable; urgency=low

  * debian/rules: Run tests with xvfb-run
  * Ensure that arch-indep files are installed when building the arch-dep
    package

 -- Rafael Laboissiere <rafael@laboissiere.net>  Mon, 01 Sep 2014 06:04:13 -0300

octave-ltfat (1.4.4-1) unstable; urgency=low

  * Initial release (closes: #747039)

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sun, 04 May 2014 22:14:56 +0200

=== debian/control ===
Source: octave-ltfat
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Rafael Laboissiere <rafael@laboissiere.net>
Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.1.3),
 xauth, xvfb, gnuplot-nox
Standards-Version: 3.9.5
Homepage: http://octave.sourceforge.net/ltfat/
Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-ltfat.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-ltfat.git

Package: octave-ltfat
Architecture: any
Depends: ${misc:Depends}, ${octave:Depends}, ${shlibs:Depends},
 octave-ltfat-common (= ${source:Version})
Description: Large Time/Frequency Analysis Toolbox
 This package provides a Matlab/Octave toolbox for working with
 time-frequency analysis, wavelets and signal processing. It is
 intended both as an educational and a computational tool. The toolbox
 provides a large number of linear transforms including Gabor and
 wavelet transforms along with routines for constructing windows
 (filter prototypes) and routines for manipulating coefficients.
 .
 This Octave add-on package is part of the Octave-Forge project.

Package: octave-ltfat-common
Architecture: all
Depends: ${misc:Depends}, ${octave:Depends}
Description: Large Time/Frequency Analysis Toolbox (arch-indep files)
 This package provides a Matlab/Octave toolbox for working with
 time-frequency analysis, wavelets and signal processing. It is
 intended both as an educational and a computational tool. The toolbox
 provides a large number of linear transforms including Gabor and
 wavelet transforms along with routines for constructing windows
 (filter prototypes) and routines for manipulating coefficients.
 .
 This Octave add-on package is part of the Octave-Forge project.
 .
 This package contains the architecture-independent files for the
 octave-ltfat package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/cdbs/1/class/octave-pkg.mk

OCTPKG_TEST_ENV = xvfb-run

export CFLAGS = $(shell dpkg-buildflags  --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)

# The following rule is needed because an empty lib/ directory is
# needed for building the package correctly.  Even though there is one
# in the tarball, it is not created by gbp-import-orig, hence the
# mkdir command below.
pre-build::
	mkdir -p lib

# Install the architecture independent files
octdir = debian/octave-ltfat-common/usr/share/
install/octave-ltfat-common:: install/octave-ltfat

install/octave-ltfat::
	mkdir -p $(octdir)
	mv debian/octave-ltfat/usr/share/octave $(octdir)
	# Fix file permission
	@echo "************************************************************"
	@echo "Warning: check whether this fix is still needed:"
	find  $(octdir) -name \*.m | xargs chmod -x
	@echo "************************************************************"

=== debian/watch ===
version=3
http://sf.net/octave/ltfat-(.+)\.tar\.gz

## octave-ltfat 2.1.0+dfsg

=== debian/changelog ===
octave-ltfat (2.1.0+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Rafael Laboissiere ]
  * Imported Upstream version 2.1.0+dfsg
  * d/rules: Prevent unit testing on armhf and mips.
    This avoids FTBFS on theses architectures (see Bug#765545).
  * Unit testing does not need X-window anymore
    + d/rules: Do not use xfvb-run to run the tests.
    + d/control: Drop xauth, xvfb, and gnuplot-nox from Build-Depends.
      Also, the versioned dependency on octave-pkg-dev is relaxed.
  * Drop .jar file from upstream tarball, complying with the Debian Policy
    + d/copyright: Exclude file blockproc.jar
    + d/rules: Add get-orig-source target
    + d/watch: Mangle upstream version to cope with "+dfsg" tag
  * Build blockproc.jar, which is deleted from the upstream tarball
    + d/rules: Add commands for building blockproc.jar
    + d/control: Build-depend on default-jdk
    + d/p/fix-path-of-included-makefile.patch: New patch
  * Bump Standard-Versions to 3.9.6 (no changes needed)
  * d/p/autoload-yes.patch: Remove patch (deprecated upstream)
  * Bump Build-Depends on octave to >> 4.0.0~rc4-1 (for sndfile support)
  * d/check.m: Avoid verbose output of unit tests
  * d/watch: Add the repacksuffix option
  * d/p/add-hardening-flags.patch: Drop patch (applied upstream)
  * d/p/fix-path-of-included-makefile.patch: Drop patch (applied upstream)

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 18 Jul 2015 23:36:41 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
 Uploaders: Rafael Laboissiere <rafael@laboissiere.net>
-Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.1.3),
- xauth, xvfb, gnuplot-nox
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev, default-jdk,
+  octave (>> 4.0.0~rc4-1)
+Standards-Version: 3.9.6
 Homepage: http://octave.sourceforge.net/ltfat/
 Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-ltfat.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-ltfat.git

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,17 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
+DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
+
+ifeq ($(DEB_HOST_ARCH),armhf)
+export DEB_BUILD_OPTIONS = nocheck
+endif
+
+ifeq ($(DEB_HOST_ARCH),mips)
+export DEB_BUILD_OPTIONS = nocheck
+endif
+
 include /usr/share/cdbs/1/class/octave-pkg.mk
-
-OCTPKG_TEST_ENV = xvfb-run
 
 export CFLAGS = $(shell dpkg-buildflags  --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
 
@@ -13,6 +21,16 @@
 # mkdir command below.
 pre-build::
 	mkdir -p lib
+
+# Build the blockproc.jar file, which is deleted from the upstream
+# tarball and clean up the generated *.class files
+build/octave-ltfat-common::
+	$(MAKE) -C inst/blockproc/java
+	find inst/blockproc/java -name \*.class | xargs rm -f
+
+# Clean the generated .jar file
+clean::
+	rm -f inst/blockproc/java/blockproc.jar
 
 # Install the architecture independent files
 octdir = debian/octave-ltfat-common/usr/share/
@@ -26,3 +44,6 @@
 	@echo "Warning: check whether this fix is still needed:"
 	find  $(octdir) -name \*.m | xargs chmod -x
 	@echo "************************************************************"
+
+get-orig-source:
+	uscan --verbose --force-download --repack --compression=xz

## octave-ltfat 2.1.1%2Bdfsg

=== debian/changelog ===
octave-ltfat (2.1.1+dfsg-2) unstable; urgency=medium

  * d/control: Use secure URIs in the Vcs-* fields
  * d/README.Debian: New file, with package activation instructions.
    Thanks to Andrei Demekhov for the suggestion (Closes: #812775)
  * d/control: Add Suggests relationship on octave-signal.
    This is needed for running demo_wfbt.

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sat, 30 Jan 2016 09:14:21 +0100

octave-ltfat (2.1.1+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 2.1.1+dfsg
  * d/rules:
    + Allow unit testing on all architectures
    + Drop the fix for *.m file permissions
  * d/copyright:
    + Update for upstream changes
    + Remove duplicated definition of GPL-2+

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sat, 07 Nov 2015 18:55:41 +0100

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,14 @@
   octave (>> 4.0.0~rc4-1)
 Standards-Version: 3.9.6
 Homepage: http://octave.sourceforge.net/ltfat/
-Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-ltfat.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-ltfat.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-octave/octave-ltfat.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-octave/octave-ltfat.git
 
 Package: octave-ltfat
 Architecture: any
 Depends: ${misc:Depends}, ${octave:Depends}, ${shlibs:Depends},
  octave-ltfat-common (= ${source:Version})
+Suggests: octave-signal
 Description: Large Time/Frequency Analysis Toolbox
  This package provides a Matlab/Octave toolbox for working with
  time-frequency analysis, wavelets and signal processing. It is

=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,5 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
-
-DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
-
-ifeq ($(DEB_HOST_ARCH),armhf)
-export DEB_BUILD_OPTIONS = nocheck
-endif
-
-ifeq ($(DEB_HOST_ARCH),mips)
-export DEB_BUILD_OPTIONS = nocheck
-endif
 
 include /usr/share/cdbs/1/class/octave-pkg.mk
 
@@ -39,11 +29,6 @@
 install/octave-ltfat::
 	mkdir -p $(octdir)
 	mv debian/octave-ltfat/usr/share/octave $(octdir)
-	# Fix file permission
-	@echo "************************************************************"
-	@echo "Warning: check whether this fix is still needed:"
-	find  $(octdir) -name \*.m | xargs chmod -x
-	@echo "************************************************************"
 
 get-orig-source:
 	uscan --verbose --force-download --repack --compression=xz

## octave-ltfat 2.1.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Name: LTFAT
-Version: 2.0.1
-Date: 2014-10-9
-Author: Peter L. Soendergaard <soender@users.sourceforge.net>
+Version: 2.1.1
+Date: 2015-10-23
+Author: Peter L. Soendergaard <peter@sonderport.dk>
 Maintainer: Zdenek Prusa
 Title: The Large Time-Frequency Analysis Toolbox
 Description: The Large Time/Frequency Analysis Toolbox (LTFAT) is a
@@ -16,4 +16,4 @@
 BuildRequires: fftw3 [Debian] libfftw3-3, lapack [Debian] liblapack3,
                blas [Debian] libblas3, portaudio [Debian] portaudio19-dev
                Java Runtime [Debian] default-jre 
-Url: http://ltfat.sourceforge.net/
+Url: http://ltfat.github.io/

=== debian/watch ===
version=3
opts="dversionmangle=s/[~+]dfsg[0-9]*//,repacksuffix=+dfsg" \
  http://sf.net/octave/ltfat-(.+)\.tar\.gz

## octave-ltfat 2.1.2+dfsg

=== debian/changelog ===
octave-ltfat (2.1.2+dfsg-1build1) yakkety; urgency=medium

  * No-change rebuild against liboctave3v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Jun 2016 18:46:52 +0000

octave-ltfat (2.1.2+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 2.1.2+dfsg
  * d/control: Bump Standards-Version to 3.9.7 (no changes needed)
  * d/copyright: Refresh for new upstream version

 -- Rafael Laboissiere <rafael@laboissiere.net>  Thu, 24 Mar 2016 12:30:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: octave-ltfat
 Section: math
 Priority: optional
-Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
 Uploaders: Rafael Laboissiere <rafael@laboissiere.net>
 Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev, default-jdk,
   octave (>> 4.0.0~rc4-1)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://octave.sourceforge.net/ltfat/
 Vcs-Git: https://anonscm.debian.org/git/pkg-octave/octave-ltfat.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-octave/octave-ltfat.git

## octave-ltfat 2.2.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: LTFAT
-Version: 2.1.1
-Date: 2015-10-23
+Version: 2.2.0
+Date: 2016-12-20
 Author: Peter L. Soendergaard <peter@sonderport.dk>
 Maintainer: Zdenek Prusa
 Title: The Large Time-Frequency Analysis Toolbox

=== src/examples/Makefile ===
CFLAGS+=-g -Wall -Wextra -std=gnu99

testgab: example_gabanasyn.c
	$(CC) $(CFLAGS) -I.. example_gabanasyn.c -o example_gabanasyn ../build/libltfat.a -lblas -llapack -lfftw3 -lc -lm

=== debian/changelog ===
octave-ltfat (2.2.0+dfsg-7) unstable; urgency=medium

  * d/rules: Remove extraneous directory with duplicated ChangeLog
    (Closes: #890109)

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 11 Feb 2018 22:18:20 -0200

octave-ltfat (2.2.0+dfsg-6) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:33:00 -0200

octave-ltfat (2.2.0+dfsg-5) unstable; urgency=medium

  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/control:
    + Bump Standards-Version to 4.1.3 (no changes needed)
    + Add Testsuite field

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:13:46 -0200

octave-ltfat (2.2.0+dfsg-4) unstable; urgency=medium

  [ Sébastien Villemot ]
  * d/copyright: use secure URL for format.
  * d/watch: bump to format version 4.

  [ Rafael Laboissiere ]
  * d/control: Use cgit instead of gitweb in Vcs-Browser URL
  * d/control: Bump Standards-Version to 4.0.1 (no changes needed)
  * d/rules: Use DEB_BUILD_MAINT_OPTIONS

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 15 Aug 2017 16:08:08 -0300

octave-ltfat (2.2.0+dfsg-3) unstable; urgency=medium

  * Use a more robust way for doing architecture-specific unit test
  * d/p/poly2mask-unit-tests.patch: Add patch
  * d/copyrght: Refresh for new upstream version
  * d/rules: Remove extra license file (Lintian warning)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 14 Jan 2017 14:49:07 -0200

octave-ltfat (2.2.0+dfsg-2) unstable; urgency=medium

  * d/check.m: Do not run unit tests on mips64el architecture

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 08 Jan 2017 17:43:27 -0200

octave-ltfat (2.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.2.0+dfsg
  * d/u/metadata: Add citation
  * Bump debhelper compat level to 10
  * d/control:
    + Build-depends on octave-pkg-dev >= 1.4.4
    + Bump Standards-Version to 3.9.8 (no changes needed)
  * d/s/options: Set extend-diff-ignore option

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 01 Jan 2017 20:53:44 -0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: octave-ltfat
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
-Uploaders: Rafael Laboissiere <rafael@laboissiere.net>
-Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev, default-jdk,
-  octave (>> 4.0.0~rc4-1)
-Standards-Version: 3.9.7
+Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
+Uploaders: Rafael Laboissiere <rafael@debian.org>
+Build-Depends: debhelper (>= 11), dh-octave,
+  default-jdk, octave (>> 4.0.0~rc4-1)
+Standards-Version: 4.1.3
 Homepage: http://octave.sourceforge.net/ltfat/
-Vcs-Git: https://anonscm.debian.org/git/pkg-octave/octave-ltfat.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-octave/octave-ltfat.git
+Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-ltfat.git
+Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-ltfat
+Testsuite: autopkgtest-pkg-octave
 
 Package: octave-ltfat
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave --with=octave

export CFLAGS = $(shell dpkg-buildflags  --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)

ifeq ($(dpkg-architecture -qDEB_BUILD_ARCH),mips64el)
DEB_BUILD_MAINT_OPTIONS = nocheck
endif

# The following rule is needed because an empty lib/ directory is
# needed for building the package correctly.  Even though there is one
# in the tarball, it is not created by gbp-import-orig, hence the
# mkdir command below.
override_dh_auto_configure:
	mkdir -p lib
	# Remove extraneous directory
	rm -rf inst/ltfat
	dh_auto_configure

# Build the blockproc.jar file, which is deleted from the upstream
# tarball and clean up the generated *.class files
override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C inst/blockproc/java
	find inst/blockproc/java -name \*.class | xargs rm -f

# Install the architecture independent files
octdir = debian/octave-ltfat-common/usr/share/

override_dh_auto_install:
	dh_auto_install
	mkdir -p $(octdir)
	mv debian/octave-ltfat/usr/share/octave $(octdir)
	# Remove the extra license file (Lintian warning)
	@echo "*******************************************************"
	@echo "Warning: check whether this fix is still needed:"
	find debian/octave-ltfat-common/ -name COPYING -exec rm \{} \;
	@echo "*******************************************************"

get-orig-source:
	uscan --verbose --force-download --repack --compression=xz

=== debian/watch ===
version=4
opts="dversionmangle=s/[~+]dfsg[0-9]*//,repacksuffix=+dfsg" \
  http://sf.net/octave/ltfat-(.+)\.tar\.gz

## octave-ltfat 2.3.1%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,17 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
-Uploaders: Rafael Laboissiere <rafael@debian.org>
-Build-Depends: debhelper (>= 11), dh-octave,
-  default-jdk, octave (>> 4.0.0~rc4-1)
-Standards-Version: 4.1.3
-Homepage: http://octave.sourceforge.net/ltfat/
+Uploaders: Rafael Laboissière <rafael@debian.org>
+Build-Depends: default-jdk (>= 2:1.8~),
+               debhelper-compat (= 13),
+               dh-octave (>= 0.7.1),
+               octave (>> 4.0.0~rc4-1)
+Standards-Version: 4.5.1
+Homepage: https://octave.sourceforge.io/ltfat/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-ltfat.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-ltfat
 Testsuite: autopkgtest-pkg-octave
+Rules-Requires-Root: no
 
 Package: octave-ltfat
 Architecture: any
@@ -41,4 +44,3 @@
  .
  This package contains the architecture-independent files for the
  octave-ltfat package.
-

## octave-ltfat 2.3.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: LTFAT
-Version: 2.2.0
-Date: 2016-12-20
+Version: 2.3.1
+Date: 2018-6-21
 Author: Peter L. Soendergaard <peter@sonderport.dk>
 Maintainer: Zdenek Prusa
 Title: The Large Time-Frequency Analysis Toolbox

=== src/examples/CMakeLists.txt ===
cmake_minimum_required (VERSION 3.1)
project (examples CXX C)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/utils)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../modules/libltfat/include)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../modules/libphaseret/include)

set (CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_FLAGS ${OLD_CMAKE_CXX_FLAGS})
set(CMAKE_C_FLAGS ${OLD_CMAKE_C_FLAGS})


if(CMAKE_CROSSCOMPILING)
SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -static-libgcc -static-libstdc++")
endif(CMAKE_CROSSCOMPILING)

add_subdirectory(multigabormp)

=== src/examples/multigabormp/Makefile ===
CXXFLAGS+=-Ofast -Wall -Wextra -std=c++1z 

ifeq ($(TYPE),single)
	CXXFLAGS+=-DLTFAT_SINGLE
else
	CXXFLAGS+=-DLTFAT_DOUBLE
endif

SRC=$(wildcard *.cpp)
PROGS = $(patsubst %.cpp,%,$(SRC))
libltfat=../../build/libltfat.a

all: $(PROGS) 

$(PROGS): %: %.cpp $(libltfat)
	$(CXX) $(CXXFLAGS) -I../utils -I../../modules/libltfat/include $< -o $@ $(libltfat) -lfftw3 -lfftw3f -lc -lm 

$(libltfat):
	make -C ../.. -j12 MODULE=libltfat NOBLASLAPACK=1 COMPTARGET=fulloptim static

clean: cleanlib cleanexe

cleanlib:
	make -C ../.. clean

cleanexe:
	-rm $(PROGS)

=== src/modules/libltfat/src/CMakeLists.txt ===
SET(src_files
    dgt.c dgtreal_fb.c dgt_multi.c dgt_ola.c dgt_shear.c
    dgtreal_long.c dwilt.c idwilt.c wmdct.c iwmdct.c
    filterbank.c ifilterbank.c heapint.c heap.c wfacreal.c
	idgtreal_long.c idgtreal_fb.c iwfacreal.c pfilt.c reassign_ti.c
	windows.c
	dgt_shearola.c utils.c rtdgtreal.c circularbuf.c slicingbuf.c
	dgtrealwrapper.c dgtrealmp.c dgtrealmp_parbuf.c dgtrealmp_kernel.c dgtrealmp_guts.c maxtree.c
	slidgtrealmp.c )

SET(src_files_complextransp
    ci_utils.c ci_windows.c spread.c wavelets.c goertzel.c
    reassign.c gabdual_painless.c wfac.c iwfac.c dgt_long.c idgt_long.c dgt_fb.c
    idgt_fb.c ci_memalloc.c dgtwrapper.c )

SET(src_files_blaslapack
    ltfat_blaslapack.c gabdual_fac.c gabtight_fac.c)

SET(src_files_blaslapack_complextransp
    gabdual.c gabtight.c)

SET(src_files_fftw_complextransp
    dct.c dst.c)

SET(src_files_notypechange
    memalloc.c error.c version.c argchecks.c
	dgtwrapper_typeconstant.c dgtrealmp_typeconstant.c
  	reassign_typeconstant.c wavelets_typeconstant.c
	integer_manip.c firwin_typeconstant.c)


if (NOT NOBLASLAPACK)
    SET(src_files ${src_files}
        ${src_files_blaslapack} )
    SET(src_files_complextransp
        ${src_files_complextransp} ${src_files_blaslapack_complextransp} )
endif (NOT NOBLASLAPACK)

if (NOT NOFFTW)
    SET(src_files ${src_files}
        fftw_wrappers.c ${src_files_fftw_complextransp})
else (NOT NOFFTW)
    SET(src_files ${src_files}
        kissfft_wrappers.c ../thirdparty/kissfft/fft.c)
endif (NOT NOFFTW)

if (USECPP)
    SET_SOURCE_FILES_PROPERTIES( ${src_files} 
        ${src_files_complextransp} 
        ${src_files_notypechange}
        PROPERTIES LANGUAGE CXX)
endif (USECPP)

add_library(libltfat_commondouble OBJECT ${src_files_notypechange})
add_library(libltfat_commonsingle OBJECT ${src_files_notypechange})

add_library(libltfat_double OBJECT ${src_files} ${src_files_complextransp})
add_library(libltfat_single OBJECT ${src_files} ${src_files_complextransp})

add_library(libltfat_complexdouble OBJECT ${src_files_complextransp})
add_library(libltfat_complexsingle OBJECT ${src_files_complextransp})

target_compile_definitions(libltfat_complexsingle PUBLIC LTFAT_SINGLE LTFAT_COMPLEXTYPE)
target_compile_definitions(libltfat_complexdouble PUBLIC LTFAT_DOUBLE LTFAT_COMPLEXTYPE)
target_compile_definitions(libltfat_commondouble PUBLIC LTFAT_DOUBLE)
target_compile_definitions(libltfat_commonsingle PUBLIC LTFAT_SINGLE)
target_compile_definitions(libltfat_double PUBLIC LTFAT_DOUBLE)
target_compile_definitions(libltfat_single PUBLIC LTFAT_SINGLE)

if (WIN32)
if(BUILD_SHARED_LIBS)
    target_compile_definitions(libltfat_complexsingle PUBLIC LTFAT_BUILD_SHARED)
    target_compile_definitions(libltfat_complexdouble PUBLIC LTFAT_BUILD_SHARED)
    target_compile_definitions(libltfat_commondouble PUBLIC LTFAT_BUILD_SHARED)
    target_compile_definitions(libltfat_commonsingle PUBLIC LTFAT_BUILD_SHARED)
    target_compile_definitions(libltfat_double PUBLIC LTFAT_BUILD_SHARED)
    target_compile_definitions(libltfat_single PUBLIC LTFAT_BUILD_SHARED)
else(BUILD_SHARED_LIBS)
    target_compile_definitions(libltfat_complexsingle PUBLIC LTFAT_BUILD_STATIC)
    target_compile_definitions(libltfat_complexdouble PUBLIC LTFAT_BUILD_STATIC)
    target_compile_definitions(libltfat_commondouble PUBLIC LTFAT_BUILD_STATIC)
    target_compile_definitions(libltfat_commonsingle PUBLIC LTFAT_BUILD_STATIC)
    target_compile_definitions(libltfat_double PUBLIC LTFAT_BUILD_STATIC)
    target_compile_definitions(libltfat_single PUBLIC LTFAT_BUILD_STATIC)
endif(BUILD_SHARED_LIBS)
endif(WIN32)

add_library(ltfat
    $<TARGET_OBJECTS:libltfat_commondouble>
    $<TARGET_OBJECTS:libltfat_double> $<TARGET_OBJECTS:libltfat_complexdouble>
    $<TARGET_OBJECTS:libltfat_single> $<TARGET_OBJECTS:libltfat_complexsingle>)

add_library(ltfatd
    $<TARGET_OBJECTS:libltfat_commondouble>
    $<TARGET_OBJECTS:libltfat_double> $<TARGET_OBJECTS:libltfat_complexdouble>)

add_library(ltfatf
    $<TARGET_OBJECTS:libltfat_commonsingle>
    $<TARGET_OBJECTS:libltfat_single> $<TARGET_OBJECTS:libltfat_complexsingle>)

if (WIN32)
if(BUILD_SHARED_LIBS)
    set_target_properties(ltfat PROPERTIES IMPORT_SUFFIX ".dll.lib")
    set_target_properties(ltfatf PROPERTIES IMPORT_SUFFIX ".dll.lib")
    set_target_properties(ltfatd PROPERTIES IMPORT_SUFFIX ".dll.lib")
endif(BUILD_SHARED_LIBS)
endif(WIN32)

target_link_libraries(ltfat ${LAPACK_LIB} ${BLAS_LIB} ${FFTW3_LIB} ${FFTW3F_LIB} ${LIBS})
target_link_libraries(ltfatf ${LAPACK_LIB} ${BLAS_LIB} ${FFTW3F_LIB} ${LIBS} )
target_link_libraries(ltfatd  ${LAPACK_LIB} ${BLAS_LIB} ${FFTW3_LIB} ${LIBS})

=== src/modules/libphaseret/src/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../include)


SET(sources
    gla.c legla.c pghi.c rtisila.c rtpghi.c spsi.c utils.c
    gsrtisila.c gsrtisilapghi.c)

SET(sources_typeconstant
    legla_typeconstant.c pghi_typeconstant.c)

if (USECPP)
    SET_SOURCE_FILES_PROPERTIES( ${sources} ${sources_typeconstant} 
        PROPERTIES LANGUAGE CXX)
endif (USECPP)

add_library(libphaseret_commondouble OBJECT ${sources_typeconstant})
add_library(libphaseret_commonsingle OBJECT ${sources_typeconstant})

add_library(libphaseret_double OBJECT ${sources})
add_library(libphaseret_single OBJECT ${sources})

target_compile_definitions(libphaseret_commondouble PUBLIC LTFAT_DOUBLE)
target_compile_definitions(libphaseret_commonsingle PUBLIC LTFAT_SINGLE)
target_compile_definitions(libphaseret_double PUBLIC LTFAT_DOUBLE)
target_compile_definitions(libphaseret_single PUBLIC LTFAT_SINGLE)

if (WIN32)
if(BUILD_SHARED_LIBS)
    target_compile_definitions(libphaseret_commondouble PUBLIC LTFAT_BUILD_SHARED)
    target_compile_definitions(libphaseret_commonsingle PUBLIC LTFAT_BUILD_SHARED)
    target_compile_definitions(libphaseret_double PUBLIC LTFAT_BUILD_SHARED)
    target_compile_definitions(libphaseret_single PUBLIC LTFAT_BUILD_SHARED)
else(BUILD_SHARED_LIBS)
    target_compile_definitions(libphaseret_commondouble PUBLIC LTFAT_BUILD_STATIC)
    target_compile_definitions(libphaseret_commonsingle PUBLIC LTFAT_BUILD_STATIC)
    target_compile_definitions(libphaseret_double PUBLIC LTFAT_BUILD_STATIC)
    target_compile_definitions(libphaseret_single PUBLIC LTFAT_BUILD_STATIC)
endif(BUILD_SHARED_LIBS)
endif(WIN32)

add_library(phaseret
    $<TARGET_OBJECTS:libphaseret_commondouble>
    $<TARGET_OBJECTS:libphaseret_double>
    $<TARGET_OBJECTS:libphaseret_single>)


add_library(phaseretd
    $<TARGET_OBJECTS:libphaseret_commondouble>
    $<TARGET_OBJECTS:libphaseret_double>)

add_library(phaseretf
    $<TARGET_OBJECTS:libphaseret_commonsingle>
    $<TARGET_OBJECTS:libphaseret_single>)

if (WIN32)
if(BUILD_SHARED_LIBS)
    set_target_properties(phaseret PROPERTIES IMPORT_SUFFIX ".dll.lib")
    set_target_properties(phaseretf PROPERTIES IMPORT_SUFFIX ".dll.lib")
    set_target_properties(phaseretd PROPERTIES IMPORT_SUFFIX ".dll.lib")
endif(BUILD_SHARED_LIBS)
endif(WIN32)

target_link_libraries(phaseret  ltfat)
target_link_libraries(phaseretf ltfatf)
target_link_libraries(phaseretd ltfatd)

=== debian/changelog ===
octave-ltfat (2.3.1+dfsg-8) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 09 Dec 2020 18:07:43 +0100

octave-ltfat (2.3.1+dfsg-7) experimental; urgency=medium

  * d/rules: Fix typo in variable syntax

 -- Rafael Laboissière <rafael@debian.org>  Sat, 05 Dec 2020 21:30:19 -0300

octave-ltfat (2.3.1+dfsg-6) experimental; urgency=medium

  * d/rules: Remove the arch-indep files for the octave-ltfat package
    (Closes: #976436)

 -- Rafael Laboissière <rafael@debian.org>  Sat, 05 Dec 2020 12:12:46 -0300

octave-ltfat (2.3.1+dfsg-5) experimental; urgency=medium

  * d/rules: Fix the installation of the upstream README file

 -- Rafael Laboissière <rafael@debian.org>  Fri, 04 Dec 2020 04:15:21 -0300

octave-ltfat (2.3.1+dfsg-4) experimental; urgency=medium

  * d/p/build-against-octave-6.patch: New patch (Closes: #976212)
  * d/u/metadata:
    + Add Bug-{Database,Submit} and Repository-Browse fields
    + Drop Name and Contact fields
  * d/control:
    + Bump debhelper compatibitlity level to 13
    + Bump Standards-Version to 4.5.1 (no changes needed)
  * Remove inst/ltfat/ in d/clean, not d/rules
  * d/rules:
    + Use execute(before|after)_dh_* instead oc override_dh_*
    + Drop obsolete code for removing the COPYING files
    + Remove useless Python script test_ltfatarghelper.py
    + Move the README file to the appropriate place
  * d/clean: Delete left-over files src/{confdefs.h,conftest.c}
  * d/p/global-unit-tests-list.patch: Set Forwarded: not-needed
  * d/octave-ltfat.lintian-overrides: Override Lintian warning
    debian-changelog-file-is-a-symlink
  * d/p/spelling-error-playrec.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Wed, 02 Dec 2020 15:27:33 -0300

octave-ltfat (2.3.1+dfsg-3) unstable; urgency=medium

  * d/rules: Use override_dh_installdebconf instead of _auto_install for cleanup
  * d/control:
    + Bump Standards-Version to 4.4.1 (no changes needed)
    + Bump dependency on dh-octave to >= 0.7.1
      This allows the injection of the virtual package octave-abi-N
      into the package's list of dependencies.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 07 Nov 2019 14:09:04 -0300

octave-ltfat (2.3.1+dfsg-2) unstable; urgency=medium

  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 04 Jan 2019 07:06:21 -0200

octave-ltfat (2.3.1+dfsg-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * New upstream version 2.3.1+dfsg
  * d/check.m: Ensure that the disp function is correctly dispatched.
    For that, add function d/@char/disp.m.

  [ Sébastien Villemot ]
  * Revert "d/rules: Use override_dh_installdeb for post-install actions"

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 30 Jun 2018 10:42:13 -0300

octave-ltfat (2.3.0+dfsg.1-1) unstable; urgency=medium

  * New upstream version 2.3.0+dfsg.1
  * d/copyright:
    + Exclude extraneous symlink project.bib
    + Reflect upstream changes
  * d/p/poly2mask-unit-tests.patch: Drop patch (applied upstream)
  * d/control: Bump Standards-Version to 4.1.4
  * Migrate target get-orig-source into debian/watch
  * d/octave-ltfat.examples: New file
  * Exclude unit tests for frames
    + d/p/global-unit-tests-list.patch: New patch
    + d/check.m: Set global variable LTFAT_TESTS_TODO

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 12 May 2018 08:48:59 -0300

octave-ltfat (2.2.0+dfsg-8) unstable; urgency=medium

  [ Mike Miller ]
  * d/control, d/copyright: Use secure URL for upstream source.

  [ Rafael Laboissiere ]
  * d/rules: Use override_dh_installdeb for post-install actions
  * d/control: Force build-dependency on a modern default-jdk (Closes: #891697)

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 06 Mar 2018 01:58:50 -0300

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave --with=octave

export CFLAGS = $(shell dpkg-buildflags  --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)

ifeq ($(dpkg-architecture -qDEB_BUILD_ARCH),mips64el)
DEB_BUILD_MAINT_OPTIONS = nocheck
endif

# The following rule is needed because an empty lib/ directory is
# needed for building the package correctly.  Even though there is one
# in the tarball, it is not created by gbp-import-orig, hence the
# mkdir command below.
execute_before_dh_auto_configure:
	mkdir -p lib

# Build the blockproc.jar file, which is deleted from the upstream
# tarball and clean up the generated *.class files
execute_after_dh_auto_build:
	$(MAKE) -C inst/blockproc/java
	find inst/blockproc/java -name \*.class | xargs rm -f

# Fix the installation of the architecture-dependent files
arch_dir = debian/octave-ltfat/usr/share

execute_before_dh_installdeb-arch:
	# Move the README file to the appropriate place
	mv $(arch_dir)/octave/packages/ltfat-*/README $(arch_dir)/doc/octave-ltfat

execute_after_dh_installdeb-arch:
	rm -rf $(arch_dir)/octave

# Install the architecture-independent files
indep_dir = debian/octave-ltfat-common/usr/share

execute_before_dh_installdeb-indep:
	mv $(arch_dir)/octave $(indep_dir)
	# Remove useless Python script
	rm $(indep_dir)/octave/packages/ltfat-*/private/test_ltfatarghelper.py

=== debian/watch ===
version=4
opts="repack,compression=xz,dversionmangle=s/[~+]dfsg[0-9]*//,repacksuffix=+dfsg" \
  http://sf.net/octave/ltfat-(.+)\.tar\.gz

## octave-ltfat 2.5.0+dfsg

=== debian/changelog ===
octave-ltfat (2.5.0+dfsg-2ubuntu1) mantic; urgency=medium

  * Avoid FTBFS by ignoring dwz error, see #1040747:
    dwz: Couldn't find DIE at DW_FORM_ref_addr offset 0x2881e

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 18 Aug 2023 16:37:39 +0000

octave-ltfat (2.5.0+dfsg-2build1) mantic; urgency=medium

  * No-change rebuild against octave-abi-58

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 14 Aug 2023 17:30:07 +0000

octave-ltfat (2.5.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable

  * d/control: Update Homepage URL
  * d/u/metadata: Add Documentation URL

 -- Rafael Laboissière <rafael@debian.org>  Wed, 14 Jun 2023 08:08:36 -0300

octave-ltfat (2.5.0+dfsg-1) experimental; urgency=medium

  * New upstream version 2.5.0+dfsg
  * d/copyright:
    + Reflect upstream changes
    + Accentuate my family name
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/control:
    + Bump Standards-Version to 4.6.2 (no changes needed)
    + Update Homepage
  * d/octave-ltfat-common.lintian-overrides: Update for new syntax
    (file names inside square brackets)
  * d/p/build-against-octave-6.patch: Drop patch (applied upstream)
  * d/p/default-java18.patch: New patch (replaces default-java17.patch)
  * d/p/global-unit-tests-list.patch: Refresh for new upstream version
  * Install the packages using d/*.install files instead of using d/rules
  * d/u/metadata:
    + Fix Reference
    + Update Bug-Database, Bug-Submit, and Repository-Browse URLs
    + Add Repository field
    + Add Changelog field
  * Install upstream README file in the correct place
    + d/octave-ltfat-common.docs: New file
    + d/rules: Remove the README file from the wrong place
  * d/clean: Extend list of files to remove
  * d/rules: Remove wrongly installed directory

 -- Rafael Laboissière <rafael@debian.org>  Sun, 21 Mar 2023 14:22:18 -0300

octave-ltfat (2.3.1+dfsg-10) unstable; urgency=medium

  * Upload to unstable (really, closes: #981933, #988657)

 -- Rafael Laboissière <rafael@debian.org>  Mon, 16 Aug 2021 12:31:25 -0300

octave-ltfat (2.3.1+dfsg-9) experimental; urgency=medium

  * d/control: Invert order of stanzas for octave-ltfat and octave-ltfat-common.
    This allows the correct creation of the symlinks for the upstream NEWS
    and ChangeLog files only in the octave-ltfat-common package.
    (Closes: #988657)
  * d/octave-ltfat.lintian-overrides: Fix name of package in comment
  * Override Lintian warning debian-changelog-file-is-a-symlink in the
    octave-ltfat-common package, instead of octave-ltfat.
  * d/p/default-java17.patch: New patch (Closes: #981933)

 -- Rafael Laboissière <rafael@debian.org>  Sun, 23 May 2021 15:37:28 -0300

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave

export CFLAGS = $(shell dpkg-buildflags  --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)

ifeq ($(dpkg-architecture -qDEB_BUILD_ARCH),mips64el)
DEB_BUILD_MAINT_OPTIONS = nocheck
endif

# The following rule is needed because an empty lib/ directory is
# needed for building the package correctly.  Even though there is one
# in the tarball, it is not created by gbp-import-orig, hence the
# mkdir command below.
execute_before_dh_auto_configure:
	mkdir -p lib

# Build the blockproc.jar file, which is deleted from the upstream
# tarball and clean up the generated *.class files
execute_after_dh_auto_build:
	$(MAKE) -C inst/blockproc/java
	find inst/blockproc/java -name \*.class | xargs rm -f

indepdir = debian/octave-ltfat-common/usr/share

execute_after_dh_install:
	rm -rf $(indepdir)/octave/packages/ltfat-*/ltfat

execute_before_dh_installdeb-indep:
	# Remove extraneous README file
	rm $(indepdir)/octave/packages/ltfat-*/README
	# Remove useless Python script
	rm $(indepdir)/octave/packages/ltfat-*/private/test_ltfatarghelper.py

override_dh_dwz:
	-dh_dwz

## octave-ltfat 2.6.0%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -30,9 +30,14 @@
 
 execute_before_dh_installdeb-indep:
 	# Remove extraneous README file
-	rm $(indepdir)/octave/packages/ltfat-*/README
+	rm $(indepdir)/octave/packages/ltfat-*/README*
 	# Remove useless Python script
 	rm $(indepdir)/octave/packages/ltfat-*/private/test_ltfatarghelper.py
+	# Remove useless scripts im2double.m and normalize.m
+	# (they are identical to the ones shipped with Octave)
+	for i in im2double.m normalize.m ; do			\
+	    find $(indepdir) -name $$i -exec rm \{} \; ;	\
+	done
 
 override_dh_dwz:
 	-dh_dwz
